#!/bin/sh

function doall_fail()
{
  echo "error:" $*
  exit 1
}

for i in `seq -w 07 10`; do
  fpc do$i.pas || doall_fail "compile failed [do$i.pas]"
done
for i in `seq -w 01 06`; do
  cp $i{.manual,} || doall_fail "copy failed [t=$i]"
done
./do07 1823 100 100 1000 > 07 || doall_fail "do07 failed"
./do08 1923 100 100 100 > 08 || doall_fail "do08 failed"
./do09 6243 100 100 100 > 09 || doall_fail "do09 failed"
./do10 8912 100 100 100 > 10 || doall_fail "do10 failed"


